% Get gamma1 given consumption
% While at it, also computes uh and ul, which are used for computing g
% later

function [gamma1 uh ul] = get_gamma1(C,param,L)

load_param;
gamma1 = zeros(2,1);

uh = P .* u(J+x);               %Utility of consuming everything now
uh = sum(uh,2);
uh = ones(2,1)*max(uh);         %Taking the maximum over both lotteries
ul = P .* u(C);
ul = sum(ul,2);                 %Utility of consuming according to C

du = uh - ul;
gamma1 = param.gamma + param.GAMMA * du;      %Marginal cost of temptation